# Disputes A dispute occurs when a customer questions your charge with their card issuer. When this happens, you have the opportunity to respond to the dispute with evidence that shows that the charge is legitimate. Related guide: [Disputes and fraud](https://docs.stripe.com/docs/disputes.md) ## Endpoints ### Update a dispute - [POST /v1/disputes/:id](https://docs.stripe.com/api/disputes/update.md) ### Retrieve a dispute - [GET /v1/disputes/:id](https://docs.stripe.com/api/disputes/retrieve.md) ### List all disputes - [GET /v1/disputes](https://docs.stripe.com/api/disputes/list.md) ### Close a dispute - [POST /v1/disputes/:id/close](https://docs.stripe.com/api/disputes/close.md) ## Events - `charge.dispute.closed` Occurs when a dispute is closed and the dispute status changes to `lost`, `warning_closed`, or `won`. - `charge.dispute.created` Occurs whenever a customer disputes a charge with their bank. - `charge.dispute.funds_reinstated` Occurs when funds are reinstated to your account after a dispute is closed. This includes [partially refunded payments](https://docs.stripe.com/disputes.md#disputes-on-partially-refunded-payments). - `charge.dispute.funds_withdrawn` Occurs when funds are removed from your account due to a dispute. - `charge.dispute.updated` Occurs when the dispute is updated (usually with evidence).